﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500
INSTRUMENT:            Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500
DATE:                  2013-10-03 13:39:05
AUTHOR:                Fluke
REVISION:              $Revision: 4689 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       18
NUMBER OF LINES:       467
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        Agilent 90000 Series Infiniium Oscilloscopes:
#          DSO/DSA90254A, DSO/DSA90404A, DSO/DSA90604A,
#          DSO/DSA90804A, DSO/DSA91204A, DSO/DSA91304A
#
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Agilent Infiniium Channel Selection VISA
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Agilent Infiniium Channel Selection VISA

  1.002  JMPL         OFFSET_GAIN                  PSUBI("Offset Gain")
  1.003  JMPL         DC_GAIN                      PSUBI("DC Gain")

  1.004  DISP         {Subprocedure not found}!

  1.005  END


# Sub AT DSO/DSA9xxx4A (1 yr) Offset Gain VER VISA /9500 =====================

  1.006  LABEL        OFFSET_GAIN

# Specifications: <= 3.5 V: ±(2% of channel offset + 1% of full scale + 1 mV)

# The offset accuracy specification has two terms ±(offset gain + zero
# error).  The offset gain specification is ±2% of channel offset and the
# zero error specification is ±1% of full scale. The offset accuracy test
# procedure tests each of these terms individually. This procedure addresses
# offset gain.

# Full scale is defined as 8 vertical divisions.

# The Agilent Service Guide computes the offset gain deviation directly in
# percent. This procedure computes the actual gain error in volts, then
# compares that against the actual specification (±2% of offset).

  1.007  HEAD         OFFSET PERFORMANCE TEST - Offset Gain Test

  1.008  IF           @Chan == 1
  1.009  RSLT         =
  1.010  RSLT         =Offset Gain Test (deviation from applied offset)
  1.011  ENDIF

  1.012  RSLT         =
  1.013  HEAD         -2 {Channel [V @Chan]}: 5 mV/div
  1.014  TARGET       -p
  1.015  VISA         STOP
  1.016  VISA         CHAN[V @Chan]:SCAL 5E-3
  1.017  VISA         ACQ:AVER ON;COUNT 256
  1.018  TSET         TDESC = 5 mV/div
  1.019  TARGET       -m
# Apply UUT positive offset.
  1.020  VISA         CHAN[V @Chan]:OFFS 400E-3
# Apply positive calibrator voltage to return signal to within screen area.
  1.021  9500         400mV                                             S
  1.022  WAIT         [D2000]
# Measure calibrator positive voltage (UUT +gain error).
  1.023  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
# Store measured (positive) value.
  1.024  MATH         ErrorPos = MEM
# Apply UUT negative offset.
  1.025  VISA         CHAN[V @Chan]:OFFS -400E-3
# Apply negative calibrator voltage to return signal to within screen area.
  1.026  9500         -400mV                                            S
  1.027  WAIT         [D2000]
# Measure calibrator negative voltage (UUT -gain error).
  1.028  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
# Store measured (negative) value.
  1.029  MATH         ErrorNeg = MEM
# Apply UUT zero offset.
  1.030  VISA         CHAN[V @Chan]:OFFS 0
# Set calibrator output to zero.
  1.031  9500         0mV                                               S
  1.032  WAIT         [D2000]
# Measure calibrator zero output (UUT offset error).
  1.033  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
# Compute offset gain error; plus & minus.
  1.034  MATH         ErrorPos = (ErrorPos - MEM) - 400E-3
  1.035  MATH         ErrorNeg = (ErrorNeg - MEM) + 400E-3

# From both polarities of offset error, report the largest error.
  1.036  IF           ABS(ErrorPos) > ABS(ErrorNeg)
  1.037  MATH         MEM = ErrorPos / 1E-3
  1.038  ELSE
  1.039  MATH         MEM = ErrorNeg / 1E-3
  1.040  ENDIF

  1.041  MEMCX  400   0.00mV         2/

  2.001  HEAD         -2 Channel [V @Chan]: 10 mV/div
  2.002  VISA         CHAN[V @Chan]:SCAL 10E-3
  2.003  TSET         TDESC = 10 mV/div
  2.004  TARGET       -m
  2.005  VISA         CHAN[V @Chan]:OFFS 400E-3
  2.006  9500         400mV                                             S
  2.007  WAIT         [D2000]
  2.008  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  2.009  MATH         ErrorPos = MEM
  2.010  VISA         CHAN[V @Chan]:OFFS -400E-3
  2.011  9500         -400mV                                            S
  2.012  WAIT         [D2000]
  2.013  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  2.014  MATH         ErrorNeg = MEM
  2.015  VISA         CHAN[V @Chan]:OFFS 0
  2.016  9500         0mV                                               S
  2.017  WAIT         [D2000]
  2.018  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  2.019  MATH         ErrorPos = (ErrorPos - MEM) - 400E-3
  2.020  MATH         ErrorNeg = (ErrorNeg - MEM) + 400E-3

  2.021  IF           ABS(ErrorPos) > ABS(ErrorNeg)
  2.022  MATH         MEM = ErrorPos / 1E-3
  2.023  ELSE
  2.024  MATH         MEM = ErrorNeg / 1E-3
  2.025  ENDIF

  2.026  MEMCX  400   0.00mV         2/

  3.001  HEAD         -2 Channel [V @Chan]: 20 mV/div
  3.002  VISA         CHAN[V @Chan]:SCAL 20E-3
  3.003  TSET         TDESC = 20 mV/div
  3.004  TARGET       -m
  3.005  VISA         CHAN[V @Chan]:OFFS 400E-3
  3.006  9500         400mV                                             S
  3.007  WAIT         [D2000]
  3.008  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  3.009  MATH         ErrorPos = MEM
  3.010  VISA         CHAN[V @Chan]:OFFS -400E-3
  3.011  9500         -400mV                                            S
  3.012  WAIT         [D2000]
  3.013  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  3.014  MATH         ErrorNeg = MEM
  3.015  VISA         CHAN[V @Chan]:OFFS 0
  3.016  9500         0mV                                               S
  3.017  WAIT         [D2000]
  3.018  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  3.019  MATH         ErrorPos = (ErrorPos - MEM) - 400E-3
  3.020  MATH         ErrorNeg = (ErrorNeg - MEM) + 400E-3

  3.021  IF           ABS(ErrorPos) > ABS(ErrorNeg)
  3.022  MATH         MEM = ErrorPos / 1E-3
  3.023  ELSE
  3.024  MATH         MEM = ErrorNeg / 1E-3
  3.025  ENDIF

  3.026  MEMCX  400   0.00mV         2/

  4.001  HEAD         -2 Channel [V @Chan]: 50 mV/div
  4.002  VISA         CHAN[V @Chan]:SCAL 50E-3
  4.003  TSET         TDESC = 50 mV/div
  4.004  TARGET       -m
  4.005  VISA         CHAN[V @Chan]:OFFS 900E-3
  4.006  9500         900mV                                             S
  4.007  WAIT         [D2000]
  4.008  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  4.009  MATH         ErrorPos = MEM
  4.010  VISA         CHAN[V @Chan]:OFFS -900E-3
  4.011  9500         -900mV                                            S
  4.012  WAIT         [D2000]
  4.013  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  4.014  MATH         ErrorNeg = MEM
  4.015  VISA         CHAN[V @Chan]:OFFS 0
  4.016  9500         0mV                                               S
  4.017  WAIT         [D2000]
  4.018  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  4.019  MATH         ErrorPos = (ErrorPos - MEM) - 900E-3
  4.020  MATH         ErrorNeg = (ErrorNeg - MEM) + 900E-3

  4.021  IF           ABS(ErrorPos) > ABS(ErrorNeg)
  4.022  MATH         MEM = ErrorPos / 1E-3
  4.023  ELSE
  4.024  MATH         MEM = ErrorNeg / 1E-3
  4.025  ENDIF

  4.026  MEMCX  900   0.00mV         2/

  5.001  HEAD         -2 Channel [V @Chan]: 100 mV/div
  5.002  VISA         CHAN[V @Chan]:SCAL 100E-3
  5.003  TSET         TDESC = 100 mV/div
  5.004  TARGET       -m
  5.005  VISA         CHAN[V @Chan]:OFFS 1.6
  5.006  9500         1.6V                                              S
  5.007  WAIT         [D2000]
  5.008  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  5.009  MATH         ErrorPos = MEM
  5.010  VISA         CHAN[V @Chan]:OFFS -1.6
  5.011  9500         -1.6V                                             S
  5.012  WAIT         [D2000]
  5.013  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  5.014  MATH         ErrorNeg = MEM
  5.015  VISA         CHAN[V @Chan]:OFFS 0
  5.016  9500         0V                                                S
  5.017  WAIT         [D2000]
  5.018  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  5.019  MATH         ErrorPos = (ErrorPos - MEM) - 1.6
  5.020  MATH         ErrorNeg = (ErrorNeg - MEM) + 1.6

  5.021  IF           ABS(ErrorPos) > ABS(ErrorNeg)
  5.022  MATH         MEM = ErrorPos
  5.023  ELSE
  5.024  MATH         MEM = ErrorNeg
  5.025  ENDIF

  5.026  MEMCX  1.6   0.000V         2/

  6.001  HEAD         -2 Channel [V @Chan]: 200 mV/div
  6.002  VISA         CHAN[V @Chan]:SCAL 200E-3
  6.003  TSET         TDESC = 200 mV/div
  6.004  TARGET       -m
  6.005  VISA         CHAN[V @Chan]:OFFS 2.4
  6.006  9500         2.4V                                              S
  6.007  WAIT         [D2000]
  6.008  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  6.009  MATH         ErrorPos = MEM
  6.010  VISA         CHAN[V @Chan]:OFFS -2.4
  6.011  9500         -2.4V                                             S
  6.012  WAIT         [D2000]
  6.013  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  6.014  MATH         ErrorNeg = MEM
  6.015  VISA         CHAN[V @Chan]:OFFS 0
  6.016  9500         0V                                                S
  6.017  WAIT         [D2000]
  6.018  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  6.019  MATH         ErrorPos = (ErrorPos - MEM) - 2.4
  6.020  MATH         ErrorNeg = (ErrorNeg - MEM) + 2.4

  6.021  IF           ABS(ErrorPos) > ABS(ErrorNeg)
  6.022  MATH         MEM = ErrorPos
  6.023  ELSE
  6.024  MATH         MEM = ErrorNeg
  6.025  ENDIF

  6.026  MEMCX  2.4   0.000V         2/

  7.001  HEAD         -2 Channel [V @Chan]: 500 mV/div
  7.002  VISA         CHAN[V @Chan]:SCAL 500E-3
  7.003  TSET         TDESC = 500 mV/div
  7.004  TARGET       -m
  7.005  VISA         CHAN[V @Chan]:OFFS 2.4
  7.006  9500         2.4V                                              S
  7.007  WAIT         [D2000]
  7.008  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  7.009  MATH         ErrorPos = MEM
  7.010  VISA         CHAN[V @Chan]:OFFS -2.4
  7.011  9500         -2.4V                                             S
  7.012  WAIT         [D2000]
  7.013  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  7.014  MATH         ErrorNeg = MEM
  7.015  VISA         CHAN[V @Chan]:OFFS 0
  7.016  9500         0V                                                S
  7.017  WAIT         [D2000]
  7.018  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  7.019  MATH         ErrorPos = (ErrorPos - MEM) - 2.4
  7.020  MATH         ErrorNeg = (ErrorNeg - MEM) + 2.4

  7.021  IF           ABS(ErrorPos) > ABS(ErrorNeg)
  7.022  MATH         MEM = ErrorPos
  7.023  ELSE
  7.024  MATH         MEM = ErrorNeg
  7.025  ENDIF

  7.026  MEMCX  2.4   0.000V         2/

  8.001  HEAD         -2 Channel [V @Chan]: 1 V/div
  8.002  VISA         CHAN[V @Chan]:SCAL 1
  8.003  TSET         TDESC = 1 V/div
  8.004  TARGET       -m
  8.005  VISA         CHAN[V @Chan]:OFFS 2.4
  8.006  9500         2.4V                                              S
  8.007  WAIT         [D2000]
  8.008  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  8.009  MATH         ErrorPos = MEM
  8.010  VISA         CHAN[V @Chan]:OFFS -2.4
  8.011  9500         -2.4V                                             S
  8.012  WAIT         [D2000]
  8.013  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  8.014  MATH         ErrorNeg = MEM
  8.015  VISA         CHAN[V @Chan]:OFFS 0
  8.016  9500         0V                                                S
  8.017  WAIT         [D2000]
  8.018  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
  8.019  MATH         ErrorPos = (ErrorPos - MEM) - 2.4
  8.020  MATH         ErrorNeg = (ErrorNeg - MEM) + 2.4

  8.021  IF           ABS(ErrorPos) > ABS(ErrorNeg)
  8.022  MATH         MEM = ErrorPos
  8.023  ELSE
  8.024  MATH         MEM = ErrorNeg
  8.025  ENDIF

  8.026  MEMCX  2.4   0.000V         2/

  9.001  HEAD         -2
  9.002  9500         *                                                 S
  9.003  VISA         *RST
  9.004  HEAD
  9.005  END

  9.006  EVAL   Increment Test Number


# Sub AT DSO/DSA9xxx4A (1 yr) DC Gain VER VISA /9500 =========================

 10.001  LABEL        DC_GAIN

# Specifications: ±(2% of full scale at full resolution channel scale)
# Full scale is defined as 8 vertical divisions.

 10.002  IF           @Chan == 1
 10.003  RSLT         =
 10.004  HEAD         {DC GAIN ACCURACY TEST}
 10.005  ELSE
 10.006  HEAD         DC GAIN ACCURACY TEST
 10.007  ENDIF

 10.008  RSLT         =
 10.009  HEAD         -2 {Channel [V @Chan]}: 5 mV/div
 10.010  TARGET       -p
 10.011  VISA         STOP
 10.012  VISA         CHAN[V @Chan]:SCAL 5E-3;OFFS 0V
 10.013  VISA         ACQ:AVER ON;COUNT 256
 10.014  TSET         TDESC = 5 mV/div
 10.015  TARGET       -m
 10.016  9500         15mV                                              S
 10.017  WAIT         [D2000]
 10.018  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 10.019  MATH         GainPos = MEM
 10.020  9500         -15mV                                             S
 10.021  WAIT         [D2000]
 10.022  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 10.023  MATH         MEM = (GainPos - MEM) / 1E-3
 10.024  MEMCX  40    30.00mV        2/

 11.001  HEAD         -2 Channel [V @Chan]: 10 mV/div
 11.002  VISA         CHAN[V @Chan]:SCAL 10E-3;OFFS 0V
 11.003  TSET         TDESC = 10 mV/div
 11.004  TARGET       -m
 11.005  9500         30mV                                              S
 11.006  WAIT         [D2000]
 11.007  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 11.008  MATH         GainPos = MEM
 11.009  9500         -30mV                                             S
 11.010  WAIT         [D2000]
 11.011  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 11.012  MATH         MEM = (GainPos - MEM) / 1E-3
 11.013  MEMCX  80    60.00mV        2/

 12.001  HEAD         -2 Channel [V @Chan]: 20 mV/div
 12.002  VISA         CHAN[V @Chan]:SCAL 20E-3;OFFS 0V
 12.003  TSET         TDESC = 20 mV/div
 12.004  TARGET       -m
 12.005  9500         60mV                                              S
 12.006  WAIT         [D2000]
 12.007  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 12.008  MATH         GainPos = MEM
 12.009  9500         -60mV                                             S
 12.010  WAIT         [D2000]
 12.011  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 12.012  MATH         MEM = (GainPos - MEM) / 1E-3
 12.013  MEMCX  160   120.00mV       2/

 13.001  HEAD         -2 Channel [V @Chan]: 50 mV/div
 13.002  VISA         CHAN[V @Chan]:SCAL 50E-3;OFFS 0V
 13.003  TSET         TDESC = 50 mV/div
 13.004  TARGET       -m
 13.005  9500         150mV                                             S
 13.006  WAIT         [D2000]
 13.007  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 13.008  MATH         GainPos = MEM
 13.009  9500         -150mV                                            S
 13.010  WAIT         [D2000]
 13.011  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 13.012  MATH         MEM = (GainPos - MEM) / 1E-3
 13.013  MEMCX  400   300.00mV       2/

 14.001  HEAD         -2 Channel [V @Chan]: 100 mV/div
 14.002  VISA         CHAN[V @Chan]:SCAL 100E-3;OFFS 0V
 14.003  TSET         TDESC = 100 mV/div
 14.004  TARGET       -m
 14.005  9500         300mV                                             S
 14.006  WAIT         [D2000]
 14.007  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 14.008  MATH         GainPos = MEM
 14.009  9500         -300mV                                            S
 14.010  WAIT         [D2000]
 14.011  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 14.012  MATH         MEM = (GainPos - MEM) / 1E-3
 14.013  MEMCX  800   600.00mV       2/

 15.001  HEAD         -2 Channel [V @Chan]: 200 mV/div
 15.002  VISA         CHAN[V @Chan]:SCAL 200E-3;OFFS 0V
 15.003  TSET         TDESC = 200 mV/div
 15.004  TARGET       -m
 15.005  9500         0.6V                                              S
 15.006  WAIT         [D2000]
 15.007  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 15.008  MATH         GainPos = MEM
 15.009  9500         -0.6V                                             S
 15.010  WAIT         [D2000]
 15.011  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 15.012  MATH         MEM = GainPos - MEM
 15.013  MEMCX  1.6   1.200V         2/

 16.001  HEAD         -2 Channel [V @Chan]: 500 mV/div
 16.002  VISA         CHAN[V @Chan]:SCAL 500E-3;OFFS 0V
 16.003  TSET         TDESC = 500 mV/div
 16.004  TARGET       -m
 16.005  9500         1.5V                                              S
 16.006  WAIT         [D2000]
 16.007  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 16.008  MATH         GainPos = MEM
 16.009  9500         -1.5V                                             S
 16.010  WAIT         [D2000]
 16.011  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 16.012  MATH         MEM = GainPos - MEM
 16.013  MEMCX  4     3.000V         2/

 17.001  HEAD         -2 Channel [V @Chan]: 1 V/div
 17.002  VISA         CHAN[V @Chan]:SCAL 1;OFFS 0V
 17.003  TSET         TDESC = 1 V/div
 17.004  TARGET       -m
 17.005  9500         3.000V                                            S
 17.006  WAIT         [D2000]
 17.007  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 17.008  MATH         GainPos = MEM
 17.009  9500         -3.000V                                           S
 17.010  WAIT         [D2000]
 17.011  VISA         DIG;:MEAS:VAV? DISP,CHAN[V @Chan][I]
 17.012  MATH         MEM = GainPos - MEM
 17.013  MEMCX  8     6.000V         2/

 18.001  HEAD         -2
 18.002  9500         *                                                 S
 18.003  VISA         *RST
 18.004  HEAD

 18.005  END
